Subject: Re: Fw: (KAME-snap 8347) Re: Problem building the latest snap.

From: "Randall Stewart (cisco)" <[email-masked]>
Date: Fri, 05 Mar 2004 19:24:05 -0600

Jun-ichiro itojun Hagino wrote:

>	could you forward this to sctp-impl?  i cannot post it over there.
>
>itojun
>  
>
Thanks Itojun for the quick response..

I will forward (with this message) :->

 > After "make depend" run the "make" blowed up in many places, i.e.
 > wi, tlp, same as below:
 > cc  -ffreestanding  -O2 -Werror -Wall -Wno-main 
-Wno-format-zero-length -
 > Wpointer-arith -Wmissing-prototypes -Wstrict-prototypes 
-Wno-uninitialized 
 > -Di386 -I.  -I../../../../arch -I../../../.. -nostdinc -DLKM -DTCP_ECN -
 > DRADIX_MPATH -DMAXUSERS=32 -D_KERNEL -D_KERNEL_OPT   -c
 > 
/home/mschmidt/downloads/kame/netbsd/sys/arch/i386/compile/Kame/../../../../ufs/
 > ufs/ufs_lookup.c
 > /home/mschmidt/downloads/kame/netbsd/sys/ufs/ufs/ufs_lookup.c: In 
function
 > `ufs_dirremove':
 > /home/mschmidt/downloads/kame/netbsd/sys/ufs/ufs/ufs_lookup.c:974: 
warning:
 > dereferencing type-punned pointer will break strict-aliasing rules
 > /home/mschmidt/downloads/kame/netbsd/sys/ufs/ufs/ufs_lookup.c:984: 
warning:
 > dereferencing type-punned pointer will break strict-aliasing rules
 > /home/mschmidt/downloads/kame/netbsd/sys/ufs/ufs/ufs_lookup.c: In 
function
 > `ufs_dirrewrite':
 > /home/mschmidt/downloads/kame/netbsd/sys/ufs/ufs/ufs_lookup.c:1037:
 > warning: dereferencing type-punned pointer will break strict-aliasing 
rules
 > *** Error code 1
 >
 > I can't continue editing the kernel config any further... I might
 > trying to contact this list for help even though this is not 100%
 > related to SCTP, however if anyone run into the same problem and solved
 > it I will appreciate your pointers.  This is what I used: kame-20040301-
 > netbsd161-snap.tgz
 > NetBSD 1.6ZK/i386
 > gcc 3.3.1

    you cannot use KAME snap kit for 1.6.1 on NetBSD-current.
    if you really want to, edit sys/conf/Makefile.kern.inc
    (i do not recommend it so i do not let you know how)

itojun

-- 
Randall R. Stewart
ITD - Transport Technologies
815-477-2127(o) or 815-342-5222(c)